<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/

	if (defined('USER_ALLOW')) {
		incoh();
		include("modules/$module_name/l_config.php");
		$user2 = base64_decode($user);
		$user2 = addslashes($user2);
		$cookie = explode(":", $user2);
		cookiedecode($user);
		$ratinguser = $cookie[1];
		menu(1);
		$lid = $db->XMFnum($lid);
		br('1');
		$row = $db->sql_fetchrow($db->sql_query("SELECT cid, title, url, description from ".TABLE_LINKS_LINKS." where lid='$lid'"));
		$cid = $db->XMFnum($row['cid']);
		$title = stripslashes(check_html($row['title'], "nohtml"));
		$url = stripslashes($row['url']);
		$description = stripslashes($row['description']);
		Max_OpenTable();
		echo "<center><font class=\"option\"><b>"._REPORTBROKEN."</b></font><br /><br /><br /><font class=\"content\">";
		echo "<form action=\"modules.php?name=$module_name\" method=\"post\">";
		echo "<input type=\"hidden\" name=\"lid\" value=\"$lid\" />";
		echo "<input type=\"hidden\" name=\"cid\" value=\"$cid\" />";
		echo "<input type=\"hidden\" name=\"title\" value=\"$title\" />";
		echo "<input type=\"hidden\" name=\"url\" value=\"$url\" />";
		echo "<input type=\"hidden\" name=\"description\" value=\"$description\" />";
		echo "<input type=\"hidden\" name=\"modifysubmitter\" value=\"$ratinguser\" />";
		echo ""._THANKSBROKEN."<br /><br />";
		echo "<input type=\"hidden\" name=\"l_op\" value=\"brokenlinkS\" /><input type=\"submit\" value=\""._REPORTBROKEN."\" /></center></form>";
		Max_CloseTable();
		incof();
	} else {
		Header("Location: modules.php?name=$module_name");
	}